National Vulnerability Database

National Vulnerability Database

National Vulnerability
Database

CVE-2016-1252 Detail

Current Description

The apt package in Debian jessie before 1.0.9.8.4, in Debian unstable before 1.4~beta2, in Ubuntu 14.04 LTS before 1.0.1ubuntu2.17, in Ubuntu 16.04 LTS before 1.2.15ubuntu0.2, and in Ubuntu 16.10 before 1.3.2ubuntu0.1 allows man-in-the-middle attackers to bypass a repository-signing protection mechanism by leveraging improper error handling when validating InRelease file signatures.

Source:  MITRE      Last Modified:  12/05/2017      View Analysis Description

Quick Info

CVE Dictionary Entry:
CVE-2016-1252
Original release date:
12/05/2017
Last revised:
12/20/2017
Source:
US-CERT/NIST

Impact

CVSS Severity (version 3.0):
CVSS v3 Base Score:
5.9 Medium
Vector:
CVSS:3.0/AV:N/AC:H/PR:N/UI:N/S:U/C:N/I:H/A:N (legend)
Impact Score:
3.6
Exploitability Score:
2.2
CVSS Version 3 Metrics:
Attack Vector (AV):
Network
Attack Complexity (AC):
High
Privileges Required (PR):
None
User Interaction (UI):
None
Scope (S):
Unchanged
Confidentiality (C):
None
Integrity (I):
High
Availability (A):
None
CVSS Severity (version 2.0):
CVSS v2 Base Score:
4.3 MEDIUM
Vector:
(AV:N/AC:M/Au:N/C:N/I:P/A:N) (legend)
Impact Subscore:
2.9
Exploitability Subscore:
8.6
CVSS Version 2 Metrics:
Access Vector:
Network exploitable
Access Complexity:
Medium
Authentication:
Not required to exploit
Impact Type:
Allows unauthorized modification

References to Advisories, Solutions, and Tools

By selecting these links, you will be leaving NIST webspace. We have provided these links to other web sites because they may have information that would be of interest to you. No inferences should be drawn on account of other sites being referenced, or not, from this page. There may be other web sites that are more appropriate for your purpose. NIST does not necessarily endorse the views expressed, or concur with the facts presented on these sites. Further, NIST does not endorse any commercial products that may be mentioned on these sites. Please address comments about this page to nvd@nist.gov.

Hyperlink Resource Type Source Name
http://packetstormsecurity.com/files/140145/apt-Repository-Signing-Bypass.html Issue Tracking; Third Party Advisory; VDB Entry External Source MISC http://packetstormsecurity.com/files/140145/apt-Repository-Signing-Bypass.html
http://www.ubuntu.com/usn/USN-3156-1 Issue Tracking; Third Party Advisory External Source UBUNTU USN-3156-1
https://bugs.chromium.org/p/project-zero/issues/detail?id=1020 Issue Tracking; Third Party Advisory External Source MISC https://bugs.chromium.org/p/project-zero/issues/detail?id=1020
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1647467 Issue Tracking; Third Party Advisory External Source CONFIRM https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1647467
https://www.debian.org/security/2016/dsa-3733 Issue Tracking; Vendor Advisory External Source DEBIAN DSA-3733
https://www.exploit-db.com/exploits/40916/ Issue Tracking; Third Party Advisory; VDB Entry External Source EXPLOIT-DB 40916

Technical Details

Vulnerability Type (View All)

  • Channel and Path Errors (CWE-417)

Vulnerable software and versions Switch to CPE 2.2

Configuration 1
AND
OR
cpe:2.3:a:debian:apt:0.7.21:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.7.22:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.7.22.1:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.7.23:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.7.23.1:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.7.24:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.7.25:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.7.25.1:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.7.25.3:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.0:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.1:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.2:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.3:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.4:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.5:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.6:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.7:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.8:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.9:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.10:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.10.1:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.10.2:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.10.3:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.11:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.11.1:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.11.2:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.11.3:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.11.4:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.11.5:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.12:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.13:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.13.1:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.13.2:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.14:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.14.1:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.15:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.15.1:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.15.2:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.15.3:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.15.4:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.15.5:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.15.6:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.15.7:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.15.8:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.8.15.9:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.0:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.1:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.2:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.3:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.4:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.5:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.5.1:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.6:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.7:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.7.1:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.7.2:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.7.3:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.7.4:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.7.5:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.7.6:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.7.7:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.7.8:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.7.9:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.8:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.8.1:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.9:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.9.1:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.9.2:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.9.3:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.9.4:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.10:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.11:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.11.1:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.11.2:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.11.3:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.11.4:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.12:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.12.1:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.13.1:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.13.exp1:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.13_exp1:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.14:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.14.1:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.14.2:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.14.3.exp1:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.14.3.exp2:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.14.3.exp3:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.14.3.exp4:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.14.3.exp5:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.15:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.15.1:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.15.2:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.15.3:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.15.4:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.15.5:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.16:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:0.9.16.1:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:1.0.1:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:1.0.2:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:1.0.3:*:*:*:*:*:*:*
cpe:2.3:a:debian:apt:1.0.4:*:*:*:*:*:*:*
Configuration 2
Configuration 3
Configuration 4
Showing 100 of 634 CPEs, view all CPEs here.

Denotes Vulnerable Software
Are we missing a CPE here? Please let us know.

Change History 1 change record found - show changes